ユーザー

ユーザーのメディアを取得

GET /v1/users/{screen_name}/media reads 2 クレジット

アカウントのメディアタブ: 写真、動画、GIF を含む自身の投稿。新しい順。

クエリパラメータ

クエリパラメータ型意味
countint 1–100 = 20要求するページサイズ。X はヒントとして扱います
cursorstring前のページの next_cursor から

レスポンス

アカウント、そのメディア投稿、次ページ用のカーソル (終端では null)。 フィールドごとの説明: Tweet (読み取り).

ステータス: 200, 400, 404, 429, 502

リクエスト
curl https://api.xsignalfeed.com/v1/users/nasa/media?count=20 \
  -H "Authorization: Bearer xsf_your_key"
レスポンス · 200 / 400
{
  "user": {
    "id": "11348282",
    "screen_name": "NASA"
  },
  "tweets": [
    {
      "id": 2100306604344132055,
      "created_ms": 1789587090942,
      "user_id": 11348282,
      "user": "NASA",
      "name": "NASA",
      "text": "This starry view is one of the largest images released to date from @NASAWebb…",
      "lang": "en",
      "reply_to": null,
      "reply_to_status_id": null,
      "reply_to_user_id": null,
      "conversation_id": "2100306604344132055",
      "is_rt": false,
      "rt_of": null,
      "is_quote": false,
      "quoted": null,
      "media": [
        "https://pbs.twimg.com/media/….jpg"
      ],
      "media_items": [
        {
          "type": "photo",
          "url": "https://pbs.twimg.com/media/….jpg",
          "expanded_url": "https://x.com/NASA/status/2100306604344132055/photo/1",
          "width": 1616,
          "height": 2000
        }
      ],
      "urls": [
        "https://go.nasa.gov/…"
      ],
      "views": "455513",
      "counts": {
        "reply": 140,
        "rt": 601,
        "like": 4202,
        "quote": 30,
        "bookmark": 213
      }
    },
    {
      "…": "…"
    }
  ],
  "next_cursor": "DAABCgABHSYySjO___0KAAIdH3F3aRZxxggAAwAAAAIAAA"
}